<!DOCTYPE html>
<head>
  <title>IngSoc - History</title>
  <meta charset="utf-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1" />
  <!-- Latest compiled and minified CSS -->
  <link
    href="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/css/bootstrap.min.css"
    rel="stylesheet"
    integrity="sha384-1BmE4kWBq78iYhFldvKuhfTAU6auU8tT94WrHftjDbrCEXSU1oBoqyl2QvZ6jIW3"
    crossorigin="anonymous"
  />
  <link
    rel="stylesheet"
    href="https://unpkg.com/bootstrap-table@1.19.1/dist/bootstrap-table.min.css"
  />
  <link
    rel="stylesheet"
    href="https://cdn.jsdelivr.net/npm/bootstrap-icons@1.7.1/font/bootstrap-icons.css"
  />

  <link rel="stylesheet" href="/css/styles.css" />
</head>

<body>
  <!-- * Sidebar BEGIN -->
  <div class="offcanvas offcanvas-end" id="demo">
    <div class="offcanvas-header">
      <h1 class="offcanvas-title">Menu</h1>
      <button
        type="button"
        class="btn-close text-reset"
        data-bs-dismiss="offcanvas"
      ></button>
    </div>
    <div class="offcanvas-body">
      <div class="d-grid">
        <button
          class="btn btn-light bi-house-door-fill btn-lg"
          type="button"
          onclick="window.location.href='index.html';"
        >
          Main
        </button>
      </div>
      <div class="d-grid">
        <button
          class="btn btn-light bi-list-columns-reverse btn-lg"
          type="button"
          onclick="window.location.href='history.html';"
          disabled
        >
          History
        </button>
      </div>
      <div class="d-grid">
        <button
          class="btn btn-light bi-gear-fill btn-lg"
          type="button"
          onclick="window.location.href='settings.html';"
        >
          Settings
        </button>
      </div>
    </div>
  </div>
  <div class="container-fluid p-3 bg-primary text-center text-white">
    <div class="row">
      <div class="col" id="date"></div>
      <div class="col">
        <h1>IngSoc</h1>
      </div>
      <div class="col">
        <button
          class="btn bi-list btn-lg float-end bg-primary text-white"
          type="button"
          data-bs-toggle="offcanvas"
          data-bs-target="#demo"
          id="menubutton"
          formaction="settings.html"
        ></button>
      </div>
    </div>
  </div>
  <!-- * Sidebar END -->
  <div class="container mt-3">
    <h1 style="text-align: center; position: relative">Last 5 visits:</h1>
    <table id="historyTable" data-url="/getHistory" data-toggle="table">
      <thead>
        <tr>
          <th data-field="Date">Date</th>
          <th data-field="Time">Time</th>
        </tr>
      </thead>
    </table>
    <button type="button" class="openPopup btn btn-primary">
      Show last visitor
    </button>
  </div>

  <div class="popup">
    <span class="helper"></span>
    <div class="container">
      <div class="popupCloseButton">&times;</div>
      <h1 id="popUpHeader">New visitor:</h1>
      <div id="img"></div>
    </div>
  </div>
  <div
    class="container-fluid p-2 bg-primary text-center text-white fixed-bottom"
  >
    ©IngSoc, Version: 0.9
  </div>
  <script src="https://cdn.jsdelivr.net/npm/jquery/dist/jquery.min.js"></script>
  <script
    src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js"
    integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p"
    crossorigin="anonymous"
  ></script>
  <script src="https://unpkg.com/bootstrap-table@1.19.1/dist/bootstrap-table.min.js"></script>
  <script src="/js/history.js"></script>
</body>
